// Code generated by mockery v2.9.4. DO NOT EDIT.

package mocks

import (
	domain "appdev.ananrafs1/go-sbit/challenge-2/Domain"
	mock "github.com/stretchr/testify/mock"
)

// MovieService is an autogenerated mock type for the MovieService type
type MovieService struct {
	mock.Mock
}

// GetMovieDetail provides a mock function with given fields: movieId
func (_m *MovieService) GetMovieDetail(movieId string) (domain.MovieDetail, error) {
	ret := _m.Called(movieId)

	var r0 domain.MovieDetail
	if rf, ok := ret.Get(0).(func(string) domain.MovieDetail); ok {
		r0 = rf(movieId)
	} else {
		r0 = ret.Get(0).(domain.MovieDetail)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string) error); ok {
		r1 = rf(movieId)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Search provides a mock function with given fields: searchWord, page
func (_m *MovieService) Search(searchWord string, page int) (domain.SearchMovie, error) {
	ret := _m.Called(searchWord, page)

	var r0 domain.SearchMovie
	if rf, ok := ret.Get(0).(func(string, int) domain.SearchMovie); ok {
		r0 = rf(searchWord, page)
	} else {
		r0 = ret.Get(0).(domain.SearchMovie)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string, int) error); ok {
		r1 = rf(searchWord, page)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}
